Bug 176144 - Please enable Serbian translation in system-config-netboot
Please enable Serbian translation in system-config-netboot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-netboot (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
: Translation
Depends On:
Blocks: FC5Target
  Show dependency treegraph
 
Reported: 2005-12-19 13:13 EST by Igor Miletic
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-01 02:03:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Igor Miletic 2005-12-19 13:13:52 EST
Please enable Serbian translation in system-config-netboot.

The locale(s) for Serbian are

sr_CS.UTF-8 (default, cyrillic script, available in CVS)
sr_CS.UTF-8@Latn (po files not yet available in CVS, still awaiting to be added
to ACL)

More info on these locales can be found here if needed:
http://srpski.org/locale/

The keyboard for sr_CS is "srp" in XKB. The latin locale sr_CS@Latn uses
"srp(latin)".

The timezone for Serbia and Montenegro is GMT+0100.
Comment 1 Jason Vas Dias 2005-12-19 20:04:37 EST
Updated Serbian translation shipped in system-config-netboot-0.1.34-1, in 
rawhide-20051219 .
Comment 2 Fedora Update System 2005-12-19 22:03:22 EST
From User-Agent: XML-RPC

system-config-netboot-0.1.34-1_FC3 has been pushed for FC3, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 3 Fedora Update System 2005-12-19 22:03:57 EST
From User-Agent: XML-RPC

system-config-netboot-0.1.34-1_FC4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 4 Miloš Komarčević 2006-01-05 21:03:43 EST
Also here I can't see the translated sr messages in these updated packages.
Comment 5 Igor Miletic 2006-02-21 09:37:48 EST
It seems that translated messages are still not included in fc5test3.
Comment 6 Bill Nottingham 2006-03-02 23:26:03 EST
ALL_LINGUAS in configure.in probably needs updated to match the po files in po/.
Comment 7 Jason Vas Dias 2006-03-03 11:22:53 EST
Yes, ALL_LINGUAS was updated in system-config-netboot-0.1.38_FC5 to include
sr and sr@Latn - as well as a few other missing languages - this bug should
now be fixed with s-c-nb-0.1.38_FC5 .
Comment 8 Miloš Komarčević 2006-03-05 13:02:10 EST
I can confirm that sr and sr@Latn translations are now shipped with
system-config-netboot-0.1.38_FC5. 

However, there are no sr and sr@Latn translations in the
system-config-netboot.desktop file. Don't know where the other translations came
from, but the strings from the .desktop file are not available for translation
in the pot template file. It's probably too late for FC5, but maybe this can be
fixed for future versions?
Comment 9 Jason Vas Dias 2006-03-05 14:04:31 EST
RE: Comment #8: 
Sorry, the elvis CVS seems to have got out of sync with the latest s-c-nb
version, which has for a while now included the .desktop.in in POTFILES.in and
does generate the .desktop file correctly. Also the system-config-netboot.pot
file was not being updated correctly.

I've now checked in the latest version to elvis CVS, re-generating the 
.pot file and running 'make update-po' .  So now the desktop strings 
are in sr*.po - untranslated . Do a check-out and you should see them.

Thanks!
Comment 10 A S Alam 2006-08-01 02:03:55 EDT
Thanks,
both files are working for me

Note You need to log in before you can comment on or make changes to this bug.